# GET /reputation/reviews

**Resource:** [Reputation](./reputation.md)  
**Scopes:** `reputation:read`  
**Write operation:** no

List reviews on the company's Reputation profile. Supports cursor pagination. Filter by status, featured, service_category, or rating. Use search for fuzzy match on reviewer name or testimonial.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `status` | query | string | no | Filter: draft \| approved \| published \| rejected \| archived |
| `featured` | query | boolean | no | Filter to featured reviews only |
| `service_category` | query | string | no | Filter by service category |
| `rating` | query | number | no | Filter by exact rating (1-5) |
| `search` | query | string | no | Fuzzy match on reviewer_name or testimonial_text |
| `limit` | query | number | no | Page size (default 25, max 100) |
| `cursor` | query | string | no | Pagination cursor from previous response |

## Request example

```bash
curl https://ucqwijexmjctglmrxlej.supabase.co/functions/v1/api/v1/reputation/reviews?status=published \
  -H "Authorization: Bearer tp_live_..."
```

## Response example

```json
{
  "data": [
    {
      "id": "e14dad66-b422-42d4-a636-cd17af1c9970",
      "profile_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "reviewer_name": "Sarah Chen",
      "reviewer_company": "Momentum Labs",
      "reviewer_company_logo": "https://trustpager.net/uploads/reputation-reviewer-logo/abc123.png",
      "reviewer_role": "CMO",
      "reviewer_avatar": "https://trustpager.net/uploads/form-avatar/def456.png",
      "reviewer_linkedin_url": "https://linkedin.com/in/sarahchen",
      "reviewer_linkedin_verified": true,
      "reviewer_company_size": "51-200",
      "reviewer_industry": "Technology",
      "rating": 5,
      "testimonial_text": "Exceptional work. Highly recommended.",
      "status": "published",
      "featured": false,
      "created_at": "2026-04-20T00:00:00.000Z"
    }
  ],
  "meta": {
    "credits_remaining": 4497,
    "pagination": { "has_more": false, "next_cursor": null, "count": 1 }
  }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`